Loading...
Searching...
No Matches
openshot::EffectInfoStruct Struct Reference

This struct contains info about an effect, such as the name, video or audio effect, etc... More...

`#include <EffectBase.h>`

## Public Attributes

bool | apply_before_clip
| Apply effect before we evaluate the clip's keyframes.
std::string | class_name
| The class name of the effect.
std::string | description
| The description of this effect and what it does.
bool | has_audio
| Determines if this effect manipulates the audio of a frame.
bool | has_tracked_object
| Determines if this effect track objects through the clip.
bool | has_video
| Determines if this effect manipulates the image of a frame.
std::string | name
| The name of the effect.
std::string | parent_effect_id
| Id of the parent effect (if there is one).

## Detailed Description

This struct contains info about an effect, such as the name, video or audio effect, etc...

Each derived class of EffectBase is responsible for updating this struct to reflect accurate information about the underlying effect. Derived classes of EffectBase should call the InitEffectInfo() method to initialize the default values of this struct.

Definition at line 34 of file EffectBase.h.

## Member Data Documentation

## apply_before_clip

bool openshot::EffectInfoStruct::apply_before_clip

Apply effect before we evaluate the clip's keyframes.

Definition at line 43 of file EffectBase.h.

## class_name

std::string openshot::EffectInfoStruct::class_name

The class name of the effect.

Definition at line 36 of file EffectBase.h.

## description

std::string openshot::EffectInfoStruct::description

The description of this effect and what it does.

Definition at line 38 of file EffectBase.h.

## has_audio

bool openshot::EffectInfoStruct::has_audio

Determines if this effect manipulates the audio of a frame.

Definition at line 41 of file EffectBase.h.

## has_tracked_object

bool openshot::EffectInfoStruct::has_tracked_object

Determines if this effect track objects through the clip.

Definition at line 42 of file EffectBase.h.

Referenced by openshot::Clip::AddEffect().

## has_video

bool openshot::EffectInfoStruct::has_video

Determines if this effect manipulates the image of a frame.

Definition at line 40 of file EffectBase.h.

## name

std::string openshot::EffectInfoStruct::name

The name of the effect.

Definition at line 37 of file EffectBase.h.

## parent_effect_id

std::string openshot::EffectInfoStruct::parent_effect_id

Id of the parent effect (if there is one).

Definition at line 39 of file EffectBase.h.

The documentation for this struct was generated from the following file:

- EffectBase.h